Context Menu Broken on Mac

2010-11-20 22:17 - Dave Abrahams

Status: Closed Start date: 2010-11-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Tried this with Safari and FireFox.  Also tried with IE in a VM, but not sure that's so conclusive.  All three were broken in slightly

different ways.  Reporting on Safari here, though.

When I left-click the rectangle on the right side of a subtask list (what is that rectangle for, anyway?) Safari changes my cursor

to the context-menu cursor.  It stays that way until I hit ESC.  Things are otherwise normal

When I right-click (or control-click) inside that rectangle, I get Safari's regular context menu (e.g. with "Back" and "Reload Page")

When I right-click (or control-click) anywhere outside that rectangle, it will bring up the Redmine context menu, but it seems only

to notice my mouse position when I either click to select a menu item, or, for an instant, when I press the control key again. 

That makes it impossible to select items in submenus until you notice that you can get the menu to wake up when you press

control, because the submenu won't be displayed otherwise.

I tried to get some of the information requested at http://www.redmine.org/wiki/redmine/SubmittingBugs, but you may have seen my

other issue.  It's a fresh installation of the latest redmine, MySQL, Rails, etc.

History

#1 - 2010-11-24 14:37 - Felix Schäfer

The rectangle you mention probably is the "% Done" rectangle which gets filled as you update the "% Done" field in the sub-issues. Other than that, I

use safari on mac and can't remember having seen any odd behavior, will try to remember to try it out later.

#2 - 2010-11-24 16:04 - Dave Abrahams

Felix Schäfer wrote:

The rectangle you mention probably is the "% Done" rectangle which gets filled as you update the "% Done" field in the sub-issues.

 I'm certain you're right about that.  Thanks for looking into this; I look forward to answers.

#3 - 2024-09-19 15:18 - Holger Just

- Status changed from New to Closed

- Resolution set to Cant reproduce

This appears to work correctly for all usual browsers on a Mac. You can right-click anywhere on an issue line (other than actual links) to open the

Redmine context menu. This also works when right-clicking on the % done graph. When right-clicking on a link, the usual browser context menu

opens for the link.

If you can still reproduce this issue in a current Redmine  version, please provide more details.
